---
title: CSSTransformValue.entries()
slug: Web/API/CSSTransformValue/entries
tags:
  - API
  - CSS Typed Object Model API
  - CSSTransformValue
  - Entries
  - Experimental
  - Houdini
  - Method
  - Reference
---
<div>{{APIRef("CSS Typed OM")}}{{SeeCompatTable}}{{Draft}}</div>

<p class="summary">The <strong><code>CSSTransformValue.entries()</code></strong> method returns an array of a given object's own enumerable property <code>[key, value]</code> pairs in the same order as that provided by a {{jsxref("for...in")}} loop (the difference being that a for-in loop enumerates properties in the prototype chain as well).</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">CSSTransformValue.entries(obj);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>obj</var></code></dt>
 <dd>The {{domxref('CSSTransformValue')}} whose enumerable own property <code>[key, value]</code> pairs are to be returned.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>An array of the given <code>CSSTransformValue</code> object's own enumerable property <code>[key, value]</code> pairs.</p>

<h2 id="Examples">Examples</h2>

<p>To Do</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM','#dom-csstransformvalue')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSTransformValue.entries")}}</p>
